智能實(shí)體邊界倒角程序?qū)崿F(xiàn)
邊界倒角接口
ChamferEdge (solid, closestPoint, distance1, distance2, smoothEdges)
solid SmartSolidElement類(lèi)型
closestPoint Point3d類(lèi)型 點(diǎn)要位于邊上
distance1 double類(lèi)型 第1個(gè)倒角距離
distance2 double類(lèi)型 第2個(gè)倒角距離
smoothEdges bool值 是否平滑
本例程序代碼基于原點(diǎn)在中心的長(zhǎng)度為100的立方體,對(duì)立方體豎向四條邊進(jìn)行倒圓角操作彰触,首先利用CreateSlab函數(shù)創(chuàng)建立方體碉就,然后實(shí)例化一條邊的中點(diǎn)油坝,作為closestPoint參數(shù)绑雄,第一條倒角距離為5 愈犹,第二條倒角距離為10街图,利用ChamferEdge函數(shù)對(duì)邊進(jìn)行邊界倒角操作莺匠。
程序代碼
Sub main()
Dim solid As SmartSolidElement
'創(chuàng)建長(zhǎng)方體
Set solid = SmartSolid.CreateSlab(Nothing, 100, 100, 100)
'定義需要倒圓角的邊上的點(diǎn)
Dim point As Point3d
point = Point3dFromXYZ(50, 50, 0)
Set solid = SmartSolid.ChamferEdge(solid, point, 5, 10, True)
'添加至模型空間
ActiveModelReference.AddElement solid
End Sub